Subject: RE: Ctrl-Z
From: [email-masked] (John Cook)

8 Aug 1997 15:23:47 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <c=US%a=_%p=KLA_Instruments_%l=[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 7bit
Original-To: "[email-masked]'" <[email-masked]>
X-Mailer: Microsoft Exchange Server Internet Mail Connector Version 4.0.995.52
Original-Sender: [email-masked]

Unfortunately, even if most applications have ceased to use 
this CTRL-Z as an EOF marker, DOS itself and even NT's CMD.EXE 
continue to do so in some circumstances.  'copy /a filea fileb' 
treats the source file as 'ASCII' and appends that CTRL-Z 
to the end of the file (unless a CTRL-Z is already there).

I'm not arguing in favor of this by any means; I started one 
of the thousand discussions about this last year upon noticing 
that gnuwin32's cat stopped upon finding CTRL-Z in a binary 
file.  I'd prefer that cygwin32 treat all files as binary by 
default and never use (or interpret) CR or CTRL-Z for text 
files.  NT's CMD.EXE even appears quite happy with text files 
which use only LF instead of CR-LF as line separators (I don't 
know if win95 is as tolerant).

--John

>----------
>From: 	[email-masked][SMTP:[email-masked]]
>Sent: 	Friday, August 08, 1997 11:12 AM
>To: 	[email-masked]
>Cc: 	[email-masked]
>Subject: 	Re: Ctrl-Z
>
>> Your filesystems are mounted in text mode by default by the initial
>> gnuwin32 installation.  That causes all files written by cat to have LF
>> changed to CRLF and stop short at the MSDOS EOF mark (Ctrl-Z).
>
>This is CRAZY. We have discussed this a thousand times in this list,
>in a span of several years:
>
>Ctrl-Z IS NOT USED FOR MARKING THE END OF FILE SINCE MS-DOS 2.0!!!!!!!!!!!!
>
>Does gnu-win32 want to be compatible with DOS 1.0?
>
>The real problem behind this, and that is why it makes me mad, is that nobody
>at Cygnus is reading this bug reports, so the same unfixed bugs remain
>forever
>and people fall into them over and over again. 
>
>NOBODY uses Ctrl-Z to end a text file since AGES, at least 10 years or so.
>WAKE-UP GUYS!!!
>
>-- 
>Jacob Navia	Logiciels/Informatique
>41 rue Maurice Ravel			Tel 01 48.23.51.44
>93430 Villetaneuse 			Fax 01 48.23.95.39
>France
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
>
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".